## ucar.netcdf
Class UnlimitedDimension

    java.lang.Object
      ucar.netcdf.Dimension
          ucar.netcdf.UnlimitedDimension

All Implemented Interfaces:
  Cloneable, Named, Serializable

public class UnlimitedDimension
extends Dimension

A Dimension object is used to contain an array length which is named for use in multiple netcdf variables. For UnlimitedDimensions, the array length value may grow. An UnlimitedDimension may appear as the most slowly varying dimension of a Variable.

This class supports construction, retrieval of the name, retrieval of the length value, and increase of the length value.

Instances are only distiguished by name. Override hashCode() and equals() to create this semantic.

See Also:
  `Dimension`, Serialized Form

Field Summary

Fields inherited from class ucar.netcdf.Dimension
`length`

Constructor Summary
`` `UnlimitedDimension(String name)` The usual constructor defaults initial length to 0.
`(package private)` `UnlimitedDimension(String name, int length)` Constructing from other data sets with initial length.

Method Summary
`Object` `clone()`
`boolean` `equals(Object oo)` Instances are only distiguished by name.
`int` `hashCode()` Instances are only distiguished by name.
`int` `setLength(int newLength)` Set the length to be at least newLength Should be Package private.
`void` `toCdl(StringBuffer buf)` Format as CDL.

Methods inherited from class ucar.netcdf.Dimension
`getLength, getName, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnlimitedDimension

    public UnlimitedDimension(String name)

  The usual constructor defaults initial length to 0.

Parameters:
  `name` - String which is to be the name of this UnlimitedDimension

### UnlimitedDimension

    UnlimitedDimension(String name,
                       int length)

  Constructing from other data sets with initial length. Package private.

Parameters:
  `name` - String which is to be the name of this UnlimitedDimension
  `length` - int which is the initial length

Method Detail

### hashCode

    public int hashCode()

  Instances are only distiguished by name. Override super.hashCode() to be consistent with this semantic.

  Overrides:
    `hashCode` in class `Dimension`

### equals

    public boolean equals(Object oo)

  Instances are only distiguished by name. Override super.equals() to to be consistent with this semantic.

  Overrides:
    `equals` in class `Dimension`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Dimension`

### toCdl

    public void toCdl(StringBuffer buf)

  Format as CDL.

  Overrides:
    `toCdl` in class `Dimension`
  Parameters:
    `buf` - StringBuffer into which to write

### setLength

    public int setLength(int newLength)

  Set the length to be at least newLength Should be Package private.

  Parameters:
    `newLength` - int which is the minimum new length
  Returns:
    int amount by which this grew to satisfy the request.